[Unit]
Description=Gitlab-pages
Documentation=https://gitlab.com/gitlab-org/gitlab-pages
After=network.target

[Service]
Environment="DAEMON_ARGS=/etc/gitlab-pages/gitlab-pages.conf"
EnvironmentFile=-/etc/default/%p
ExecStart=/usr/bin/gitlab-pages $DAEMON_ARGS
ExecReload=/bin/kill -HUP $MAINPID
Restart=on-failure

[Install]
WantedBy=multi-user.target

